Ryzom - Bug # 324

Status: Closed Priority: Low

Author: kervala Category: NeL: General

Created: 02/02/2009 Assignee: kaetemi

Updated: 09/30/2010 Due date:

Subiject: Add method to get a list of all supported sound formats/extensions (ogg, mp3, wav, etc...) for each sound
driver

Description

Fmod supports a lot of formats (mp3, ogg, modules, etc...) but other sound drivers only support the minimum (wav) so we should add

an extension to get a list of all of them.

History

#1 - 02/10/2009 08:59 pm - kaetemi
- Status changed from New to Validated

FMod driver music is implemented trough FSOUND_Stream, and doesn't have an FMUSIC implementation, so modules aren't supported afaik.

The FMod driver currently has music support implemented for: container/audio files with .ogg, .mp3, .mp2, .wav, .raw extensions.

The XAudio?2 driver currently has music support implemented for: container/audio files with .ogg extension (no .wav stream).

Other drivers don't have a music implementation. Music implementation will be moved up to high level nisound trough buffer streaming implementation

in lowlevel drivers (todo #99), with support for additional driver-specific implementation for extra formats in drivers.

#2 - 02/10/2009 09:00 pm - kaetemi

- Status changed from Validated to Assigned

- Assignee set to kaetemi

#3 - 02/10/2009 10:10 pm - kaetemi

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset r956.

#4 - 02/11/2009 10:19 am - kervala
- Target version set to Version 0.7.0

#5 - 05/11/2009 07:25 pm - sfb
- Status changed from Resolved to Closed

#6 - 09/29/2010 09:28 pm - kervala

- Project changed from NeL to Ryzom

- Category deleted (Sound Lowlevel)

- Target version deleted (Version 0.7.0)

#7 - 09/30/2010 11:51 am - kervala

- Category set to NeL: General
- Target version set to Version 0.7.0
